> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/tonic-api-get-token.md).

# Getting an API token

Before you can use the API, you must have an API token.

The API token grants you the same permissions that you have in the Tonic Structural application. You can only use the API to perform tasks for which you are granted permission.

You create API tokens from the **User Settings** view in Structural.

To display the **User Settings** view:

1. Click your user image at the top right of the Structural application.
2. In the Structural options menu, select **User Settings**.

On the **User Settings** view, to create a token, click **Create Token**.

![User API Tokens list on the User Settings view](/files/BD9f1EJ9Pe1dFSB6uTyk)

After you create the token, set your authorization header to `Authorization: Apikey <token>`.

This type of token does not expire. The user who creates the token can revoke it.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tonic.ai/app/api/tonic-api-get-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
